.containerEcosystem {
    display: flex;
    margin: auto;    
    align-items: center;

    display: flex;
     margin: 60px auto;       /* centers horizontally */
    width: 100%;
 }

.navEcosystem {
    background: var(--bg-color);
    padding: 20px;
      max-width:  15rem;
    border-right: 1px solid var(--card-border);
    display: flex;
    flex-direction: column;
    gap: 12px;
    flex-wrap: wrap;
overflow-wrap: break-word;
        white-space: wrap;


 }

.navEcosystem button {
    padding: 12px;
    border-radius: 12px;
    border: none;
    cursor: pointer;
    text-align: left;
    font-weight: 500;
    transition: 0.2s ease;
    background: var(--bg-color);
    color: var(--text-color);
    border: 1px solid var(--card-border);
overflow-wrap: break-word;
 width: 100px;
   flex-wrap: wrap;
overflow-wrap: break-word;
        white-space: wrap;
}

.navEcosystem button.active {
    

       background: var(--button-bg);
    border: 1px solid var(--card-border);
    color: var(--button-text-color);
}

.navEcosystem button:hover {
    background: var(--button-bg);
}

/* CONTENT */
.contentEcosystem {
    flex: 1; 
     margin: auto;
 }

.sectionEcosystem {
   display: none;
    background: var(--card-bg);
    border: 1px solid var(--card-border);
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.06);

    max-height: 500px;     
    overflow-y: auto;   
    min-height: 400px;
 }

.sectionEcosystem.active {
    display: block;
}

.sectionEcosystem h2 {
    padding-top: 0px;
    margin-top: 0px;
}

.sectionEcosystem ul {
    padding: 0;
    padding-left: 18px;

}

.sectionEcosystem button
{
    background-color: var(--button-bg);
    color: var(--text-color);
    padding: 8px;
    border-radius: 8px;
    border: 1px solid var(--card-border);
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .containerEcosystem {
        flex-direction: column;
    }

    .navEcosystem {
        width: 100%;
        flex-direction: row;
        overflow-x: auto; 
        overflow-y: hidden;
        flex-wrap: nowrap; 
        gap: 10px;
        padding: 10px;
        border-right: none;
        border-bottom: 1px solid var(--card-border);
    }
}

.navEcosystem button { 
    flex: 0 0 auto; 
        white-space: wrap;
        min-width: max-content; 
} 




.containerEcosystemVar1 {
    flex-direction: column;


    margin: auto;
    align-items: center;
    /* centers horizontally */
    width: 100%;
}

.navEcosystemVar1 {
    flex-direction: row;

    background: var(--bg-color);
    padding: 20px;
    max-width: fit-content;
    border-right: 1px solid var(--card-border);
    display: flex;
    flex-direction: column;
    gap: 12px;
    flex-wrap: wrap;
    overflow-wrap: break-word;
    white-space: wrap;
    width: 100%;
    flex-direction: row;
    overflow-x: auto;
    overflow-y: hidden;
    flex-wrap: nowrap;
    gap: 10px;
    padding: 10px;
    border-right: none;
    border-bottom: 1px solid var(--card-border);
    margin-bottom: 8px;
}

.navEcosystemVar1 button {
    padding: 12px;
    border-radius: 12px;
    border: none;
    cursor: pointer;
    text-align: left;
    font-weight: 500;
    transition: 0.2s ease;
    background: var(--bg-color);
    color: var(--text-color);
    border: 1px solid var(--card-border);
    overflow-wrap: break-word;
    width: 100px;
    flex-wrap: wrap;
    overflow-wrap: break-word;
    white-space: wrap;
}


.navEcosystemVar1 button.active {


    background: var(--button-bg);
    border: 1px solid var(--card-border);
    color: var(--button-text-color);
}

.navEcosystemVar1 button:hover {
    background: var(--button-bg);
}

.navEcosystemVar1 button {
    flex: 0 0 auto;
    white-space: wrap;
    min-width: max-content;
}





/* CONTENT */
.contentEcosystem2 {
    flex: 1; 
     margin: auto;
 }

.sectionEcosystem2 {
   display: none;
    background: var(--card-bg);
    border: 1px solid var(--card-border);
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.06);

    max-height: 500px;     
    overflow-y: auto;   
    min-height: 400px;
 }

.sectionEcosystem2.active {
    display: block;
}

.sectionEcosystem2 h2 {
    padding-top: 0px;
    margin-top: 0px;
}

.sectionEcosystem ul {
    padding: 0;
    padding-left: 18px;

}

.sectionEcosystem2 button
{
    background-color: var(--button-bg);
    color: var(--text-color);
    padding: 8px;
    border-radius: 8px;
    border: 1px solid var(--card-border);
}

.navEcosystemVar2 {
    flex-direction: row;

    background: var(--bg-color);
    padding: 20px;
    max-width: fit-content;
    border-right: 1px solid var(--card-border);
    display: flex;
    flex-direction: column;
    gap: 12px;
    flex-wrap: wrap;
    overflow-wrap: break-word;
    white-space: wrap;
    width: 100%;
    flex-direction: row;
    overflow-x: auto;
    overflow-y: hidden;
    flex-wrap: nowrap;
    gap: 10px;
    padding: 10px;
    border-right: none;
    border-bottom: 1px solid var(--card-border);
    margin-bottom: 8px;
}

.containerEcosystemVar2 {
    flex-direction: column;


    margin: auto;
    align-items: center;
    /* centers horizontally */
    width: 100%;
}
.navEcosystemVar2 button {
    padding: 12px;
    border-radius: 12px;
    border: none;
    cursor: pointer;
    text-align: left;
    font-weight: 500;
    transition: 0.2s ease;
    background: var(--bg-color);
    color: var(--text-color);
    border: 1px solid var(--card-border);
    overflow-wrap: break-word;
    width: 100px;
    flex-wrap: wrap;
    overflow-wrap: break-word;
    white-space: wrap;
}


.navEcosystemVar2 button.active {


    background: var(--text-highlight-people-blog-1);
    border: 1px solid var(--card-border);
    color: var(--button-text-color);
}

.navEcosystemVar2 button:hover {
    background: var(--text-highlight-people-blog-1);
}

.navEcosystemVar2 button {
    flex: 0 0 auto;
    white-space: wrap;
    min-width: max-content;
}